import { ChangeDetectorRef, ElementRef, OnChanges, OnInit } from '@angular/core';
import { SchemaTableComponent } from '../schema-table/schema-table.component';
import { FormGroup } from '@angular/forms';
export declare class SchemaTierComponent extends SchemaTableComponent implements OnInit, OnChanges {
    el: ElementRef;
    uom: {
        value: number;
    };
    uoms: any;
    constructor(changeRef: ChangeDetectorRef, el: ElementRef);
    ngOnInit(): void;
    _onRowAdd(event: CustomEvent): void;
    getField(column: any, rowIndex: any): import("../models/ParsedField").ParsedField;
    tierToChange(index: number): void;
    setUom({ detail }: CustomEvent): void;
    protected newItem(): FormGroup;
    private refreshTiers;
}
